ICP
List ICPs
List Ideal Customer Profiles for your tenant
GET
/
company-icp
curl "https://api.clustr-ai.com/api/public/company-icp" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"company_icps": [
{
"id": "550e8400-...",
"title": "Enterprise SaaS",
"linkedin_industries": ["IT", "Computer Software"],
"revenue": ["$10M-$50M"],
"employees": ["201-500"],
"countries": ["US", "UK"],
"created_at": "2025-03-15T10:00:00Z"
}
],
"count": 1
}
}
List all Ideal Customer Profiles (ICPs). ICPs define target company characteristics: industries, revenue ranges, employee counts, and countries.
curl "https://api.clustr-ai.com/api/public/company-icp" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"company_icps": [
{
"id": "550e8400-...",
"title": "Enterprise SaaS",
"linkedin_industries": ["IT", "Computer Software"],
"revenue": ["$10M-$50M"],
"employees": ["201-500"],
"countries": ["US", "UK"],
"created_at": "2025-03-15T10:00:00Z"
}
],
"count": 1
}
}
⌘I
curl "https://api.clustr-ai.com/api/public/company-icp" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"company_icps": [
{
"id": "550e8400-...",
"title": "Enterprise SaaS",
"linkedin_industries": ["IT", "Computer Software"],
"revenue": ["$10M-$50M"],
"employees": ["201-500"],
"countries": ["US", "UK"],
"created_at": "2025-03-15T10:00:00Z"
}
],
"count": 1
}
}